### Virtual Method

# Foundry LlmConversation add_context

#### Declaration [src]

    DexFuture*
    add_context (
      FoundryLlmConversation* self,
      const char* context
    )

#### Description [src]

Adds context to the conversation.

Generally this applies to the conversation right after the system prompt.

#### Parameters

`context`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.